static char *RCSid = "$Header: /sequent2/empire/EMP/lib/global/RCS/plane.c,v 1.1 89/09/02 18:30:21 mr-frog Exp $";

/*
 * plane.c
 *
 * plane characteristics
 * flags indicate capabilities of craft...
 * P_T: tactical, P_F: fighter/interceptor, P_B: bomber,
 * P_C: cargo, P_G: glider, P_V: vtol, P_M: (one-shot) missile
 * P_L: light, can land on carriers.
 * 
 */

#include "misc.h"
#include "plane.h"

struct plchrstr plchr[] = {
/*       name	    lcm hcm  $$$  tech acc ld at de ran ml gs flags */
"hab  hot air balloon",4, 1,  100,  50, 50, 1, 1, 1,  1, 1, 0, P_V|P_L|P_F|P_T,
"zep  zeppelin",      6,  2,  200,  70, 30, 2, 0, 1,  8, 4, 0, P_V|P_T|P_C|P_L,
"f1   fighter",       8,  2,  400, 100, 30, 1, 3, 2,  6, 1, 1, P_V|P_T|P_F|P_L,
"e1   escort",        8,  2,  400, 100,  0, 0, 3, 2, 10, 1, 1, P_V|P_F|P_L,
"b1   light bomber", 10,  3,  550, 100, 30, 2, 1, 2,  9, 2, 1, P_V|P_T|P_B|P_L,
"t1   transport",    12,  5,  800, 105,  0, 7, 0, 1, 15, 2, 2, P_C, 
"hb1  heavy bomber", 20,  6, 1100, 110, 85, 6, 2, 3, 15, 3, 2, P_B, 
"lb1  long bomber",  20,  6, 1100, 110,120, 2, 0, 1, 30, 4, 4, P_B, 
"f2   fighter",      10,  6,  800, 120, 25, 1, 6, 4,  8, 1, 1, P_T|P_F|P_L, 
"b2   bomber",       12,  8,  900, 120, 25, 3, 2, 3, 12, 2, 1, P_T|P_B|P_L, 
"e2   escort",       12,  5,  850, 125,  0, 0, 4, 4, 16, 1, 2, P_F|P_L, 
"c1   chopper",      10,  4,  900, 125,  0, 5, 0, 2,  8, 1, 1, P_C|P_V|P_L, 
"t2   transport",    14, 10, 1200, 130,  0, 9, 0, 2, 20, 3, 3, P_C, 
"lt   long transport",14,10, 1200, 130,  0, 3, 0, 1, 35, 4, 5, P_C, 
"hb2  heavy bomber", 20, 15, 2000, 150, 75,10, 3, 5, 20, 9, 3, P_B, 
"lb2  long bomber",  20, 15, 2000, 155, 75, 4, 2, 2, 35, 6, 5, P_B, 
"lt2  long trans",   28, 18, 2000, 160,  0,13, 0, 1, 36, 5, 9, P_C, 
/*       name	    lcm hcm  $$$  tech acc ld at de ran ml gs flags */
"jf1  jet fighter",  16,  5, 2200, 200, 40, 2,12, 8,  9, 1, 4, P_T|P_F|P_L, 
"jb1  jet bomber",   14,  7, 1500, 200, 20, 5, 5, 8, 15, 2, 5, P_T|P_B|P_L, 
"jhb1 jet hvy bomber",35,20, 5200, 220, 25,16, 4,10, 20, 8, 8, P_B, 
"jlb1 jet long bomber",35,20,5200, 220, 65,16, 4,10, 40, 8, 8, P_B, 
"jt1  jet transport",30, 20, 2100, 220,  0,16, 0, 5, 40, 4, 7, P_C, 
"c2   chopper",      15,  8, 1000, 280, 10, 3, 5, 5, 12, 1, 2, P_T|P_B|P_V|P_L,
"c3   chopper",      15, 12, 1100, 280,  0, 6, 2, 3, 20, 4, 3, P_C|P_V|P_L, 
"jf2  jet fighter",  16,  5, 2000, 285, 30, 2,12, 8,  9, 1, 5, P_T|P_F|P_V|P_L,
"jfb1 jet f/b",      12,  5, 3500, 290, 40, 8,10,10, 32, 2, 6, P_B|P_T,
"spy1 spyplane",     15, 10, 3000, 290,  0, 0, 0, 7, 40, 1, 5, P_S, 
"je   jet escort",   15,  5, 2800, 295,  0, 0,11,11, 32, 1, 5, P_F|P_L, 
"ls1  landsat",      20, 20, 8000, 305,  0, 0, 0, 2, 99, 0, 9, P_O, 
"spy2 spyplane",     15, 10, 4000, 310,  0, 0, 0, 7, 20, 1, 5, P_S|P_L, 
"fb2  jet f/b",      17,  6, 3500, 320, 45, 5,14,11, 20, 2, 5, P_B|P_T|P_L, 
"jf3  jet fighter",  14,  4, 3000, 330, 30, 2,16,10, 10, 1, 4, P_T|P_F, 
"jf4  jet fighter",  16,  6, 3000, 350, 30, 2,16,10, 10, 2, 4, P_T|P_F|P_V, 
"c4   chopper",      15, 12, 1500, 365, 10, 5, 7, 7, 18, 2, 3, P_T|P_B|P_V|P_L,
"spy3 spyplane",     18, 13, 4500, 375,  0, 0, 0,12, 60, 2, 8, P_S|P_I, 
"ls2  landsat",      25, 25, 9500, 405,  0, 0, 0, 2, 99, 0, 9, P_O|P_I, 
"sps1 spysat",       30, 30,25000, 405,  0, 0, 0, 2, 99, 0, 9, P_O|P_S, 
"stb  stealth bomber",45,35, 9500, 450, 60,12, 3,12, 36, 3, 4, P_B|P_X, 
"stf  stealth fighter",35,25,9500, 450, 30, 3,15,12, 20, 1, 3, P_T|P_F|P_X, 
"sps2 spysat",       35, 35,30000, 505,  0, 0, 0, 2, 99, 0, 9, P_O|P_S|P_I, 
/*       name	    lcm hcm  $$$  tech acc ld at de ran ml gs flags */
"ssm1",               6,  4,  350, 200, 80, 4, 0, 3,  4, 0, 0, P_M|P_L,
"ssm2",               8,  5,  400, 230, 70, 4, 0, 4,  5, 0, 0, P_M|P_L, 
"ssm3",              10,  6,  500, 260, 60, 5, 0, 5,  6, 0, 0, P_M|P_L, 
"ssm4",              12,  8,  600, 300, 50, 7, 0, 6,  8, 0, 0, P_M|P_L, 
"irbm1",             15, 15, 1000, 350, 60, 5, 0, 3, 15, 0, 7, P_M, 
"irbm2",             18, 18, 2000, 370, 50, 7, 0, 3, 18, 0, 8, P_M, 
"icbm1",             30, 30, 3000, 380, 70, 7, 0, 3, 40, 0, 9, P_M, 
"icbm2",             45, 45, 4000, 420, 50,10, 0, 6, 50, 0,10, P_M, 
"icbm3",             60, 60, 5000, 500, 20,15, 0,10, 60, 0,11, P_M, 
"icbm4",            100,100, 9000, 550, 20,30, 0,50, 60, 0,12, P_M, 
"slbm1",             25, 25, 3000, 360, 70, 7, 0, 3, 19, 0, 6, P_M|P_L, 
"slbm2",             25, 25, 5000, 460, 70,11, 0, 3, 40, 0, 7, P_M|P_L, 
"sam1",              25, 25,  300, 230, 30, 4,12, 1,  5, 0, 6, P_M|P_F, 
"sam2",              35, 35,  500, 330, 20, 4,12, 1,  5, 0, 6, P_M|P_F|P_L, 
"sam3",              45, 45, 1600, 480, 10, 4,14, 1, 15, 0, 6, P_M|P_F, 
"sam4",              45, 45, 2000, 580, 10, 4,14, 1, 15, 0, 6, P_M|P_F|P_L, 
"asat1",             13,  8,  400, 285, 70, 6, 0, 6,  8, 0, 4, P_O|P_M|P_L, 
"asat2",             15,  8,  600, 335, 60, 8, 0, 6, 12, 0, 5, P_O|P_M|P_L, 
"asat3",             18,  8,  800, 385, 50, 8, 0, 6, 20, 0, 6, P_O|P_M|P_L, 
"asat4",             35, 35, 1500, 435, 40,16, 0, 6, 99, 0, 9, P_O|P_M, 
#ifdef PINPOINTMISSILE
"ppm1 Silkworm",     15, 15,  600, 260, 40, 3,12, 1,  5, 0, 1, P_M|P_T, 
"ppm2 Harpoon",      20, 10,  650, 285, 45, 3,12, 1,  5, 0, 1, P_M|P_T|P_L, 
"ppm3 Tomahawk",     25, 25,  800, 300, 20, 5,12, 1,  7, 0, 2, P_M|P_T|P_L, 
#endif PINPOINTMISSILE
#ifdef ABM
"abm1",              45, 45,  800, 320,  0, 0,20, 0,  5, 0, 8, P_M|P_N, 
"abm2",              35, 35, 1000, 345,  0, 0,30, 0,  5, 0, 7, P_M|P_N, 
"abm3",              25, 25, 1900, 375,  0, 0,40, 0, 10, 0, 7, P_M|P_N|P_L, 
"abm4",              25, 25, 2800, 405,  0, 0,50, 0, 10, 0, 6, P_M|P_N|P_L, 
#endif ABM
 "",  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
/*       name          lcm hcm $$$ tech acc load att/def ran mil gas flags */
};

int pln_maxno   = (sizeof(plchr) / sizeof(struct plchrstr)) - 1;



